Bug 1466685 - Review Request: python-sphinxcontrib-websupport - Sphinx API for Web Apps
Review Request: python-sphinxcontrib-websupport - Sphinx API for Web Apps
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chandan Kumar
Fedora Extras Quality Assurance
:
Depends On:
Blocks: RDO-PIKE 1426928
  Show dependency treegraph
 
Reported: 2017-06-30 05:00 EDT by Javier Peña
Modified: 2017-07-07 19:06 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-07 19:06:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
chkumar246: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Javier Peña 2017-06-30 05:00:10 EDT
Spec URL: https://jpena.fedorapeople.org/python-sphinxcontrib-websupport/python-sphinxcontrib-websupport.spec
SRPM URL: https://jpena.fedorapeople.org/python-sphinxcontrib-websupport/python-sphinxcontrib-websupport-1.0.1-1.fc27.src.rpm
Description:
sphinxcontribwebuspport provides a Python API to easily integrate Sphinx documentation into your Web application.

Fedora Account System Username: jpena

Koji scratch build available at https://koji.fedoraproject.org/koji/taskinfo?taskID=20260332
Comment 1 Chandan Kumar 2017-06-30 07:11:33 EDT
Hello Javier,

Thanks for putting package review.

The Package looks fine. There are 3 warning in rpmlint.
Just one nit: convert sphinxcontribwebuspport to Sphinx contrib-webuspport. Please do it while pushing the package to dist-git.

Rest is ok.
Package is APPROVED.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "BSD (unspecified)", "BSD (2 clause)", "Unknown or generated",
     "*No copyright* BSD (unspecified)". 71 files have unknown license.
     Detailed output of licensecheck in /home/chkumar246/asguard/fedora
     /review-python-sphinxcontrib-websupport/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/lib/python3.6/site-packages/sphinxcontrib
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/lib/python3.6/site-
     packages/sphinxcontrib, /usr/lib/python3.6/site-packages,
     /usr/lib/python2.7/site-packages/sphinxcontrib, /usr/lib/python3.6
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[!]: Package contains desktop file if it is a GUI application.
[!]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[!]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[!]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[!]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in python2
     -sphinxcontrib-websupport , python3-sphinxcontrib-websupport
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python2-sphinxcontrib-websupport-1.0.1-1.fc27.noarch.rpm
          python3-sphinxcontrib-websupport-1.0.1-1.fc27.noarch.rpm
          python-sphinxcontrib-websupport-1.0.1-1.fc27.src.rpm
python2-sphinxcontrib-websupport.noarch: W: spelling-error %description -l en_US sphinxcontribwebuspport 
python3-sphinxcontrib-websupport.noarch: W: spelling-error %description -l en_US sphinxcontribwebuspport 
python-sphinxcontrib-websupport.src: W: spelling-error %description -l en_US sphinxcontribwebuspport 
3 packages and 0 specfiles checked; 0 errors, 3 warnings.




Rpmlint (installed packages)
----------------------------
python2-sphinxcontrib-websupport.noarch: W: spelling-error %description -l en_US sphinxcontribwebuspport 
python3-sphinxcontrib-websupport.noarch: W: spelling-error %description -l en_US sphinxcontribwebuspport 
2 packages and 0 specfiles checked; 0 errors, 2 warnings.



Requires
--------
python2-sphinxcontrib-websupport (rpmlib, GLIBC filtered):
    python(abi)
    python-docutils
    python-jinja2
    python-six
    python-sphinx
    python-sqlalchemy
    python-whoosh

python3-sphinxcontrib-websupport (rpmlib, GLIBC filtered):
    python(abi)
    python3-docutils
    python3-jinja2
    python3-six
    python3-sphinx
    python3-sqlalchemy
    python3-whoosh



Provides
--------
python2-sphinxcontrib-websupport:
    python-sphinxcontrib-websupport
    python2-sphinxcontrib-websupport
    python2.7dist(sphinxcontrib-websupport)
    python2dist(sphinxcontrib-websupport)

python3-sphinxcontrib-websupport:
    python3-sphinxcontrib-websupport
    python3.6dist(sphinxcontrib-websupport)
    python3dist(sphinxcontrib-websupport)



Source checksums
----------------
https://files.pythonhosted.org/packages/source/s/sphinxcontrib-websupport/sphinxcontrib-websupport-1.0.1.tar.gz :
  CHECKSUM(SHA256) this package     : 7a85961326aa3a400cd4ad3c816d70ed6f7c740acd7ce5d78cd0a67825072eb9
  CHECKSUM(SHA256) upstream package : 7a85961326aa3a400cd4ad3c816d70ed6f7c740acd7ce5d78cd0a67825072eb9


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -u https://bugzilla.redhat.com/show_bug.cgi?id=1466685 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 2 Gwyn Ciesla 2017-06-30 08:05:16 EDT
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/python-sphinxcontrib-websupport
Comment 3 Fedora Update System 2017-06-30 09:08:19 EDT
python-sphinxcontrib-websupport-1.0.1-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-801d89e00c
Comment 4 Fedora Update System 2017-06-30 16:26:54 EDT
python-sphinxcontrib-websupport-1.0.1-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-801d89e00c
Comment 5 Fedora Update System 2017-07-07 19:06:20 EDT
python-sphinxcontrib-websupport-1.0.1-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.